Power Permission

Get

get

Retrieve the Power Permissions of an Admin Account by ID.

Path parameters
adminIdinteger · int32Required

Admin Account ID

Responses
chevron-right
200

Success

application/json; api-version=1.0

The RAS power administrator permissions

adminIdinteger · int32Optional

Admin account ID

allowSiteChangesbooleanOptional

Permission to do changes to RAS Site settings.

allowConnectionChangesbooleanOptional

Permission to do changes to Connection settings.

allowSessionManagementbooleanOptional

Permission to manage user sessions.

allowDeviceManagementChangesbooleanOptional

Permission to manage client devices.

allowViewingReportingInfobooleanOptional

Permission for read mode access to RAS Reporting.

allowViewingMonitoringInfobooleanOptional

Permission for read mode access to RAS Monitoring.

allowViewingLicenseInfobooleanOptional

Permission for read mode access to the License Information.

allowViewingSiteInfobooleanOptional

Permission for read mode access to RAS Site information.

allowPublishingChangesbooleanOptional

Permission to manage published resources.

allowPolicyChangesbooleanOptional

Permission to manage RAS client Policies.

allowViewingPolicyInfobooleanOptional

Permission for read mode to RAS client Policies.

allowViewingCostInsightsbooleanOptional

Permission to view Cost Insights.

allowAllSitesbooleanOptional

Permission to manage all Sites in the Farm.

allowInSiteIdsinteger · int32[] · nullableOptional

A list of site IDs which the administrator should be allowed to manage.

get
/api/AdminAccount/{adminId}/PowerPermission

Update

put

Update a Power Permission of an Admin Account.

Path parameters
adminIdinteger · int32Required

Admin Account ID

Body

Update RAS power administrator permissions

allowSiteChangesboolean · nullableOptional

Enable or disable the "Allow Site changes" option.

allowPublishingChangesboolean · nullableOptional

Enable or disable the "Allow Publishing changes" option.

allowConnectionChangesboolean · nullableOptional

Enable or disable the "Allow Connection changes" option.

allowViewingReportingInfoboolean · nullableOptional

Enable or disable the "Allow viewing of RAS Reporting" option.

allowViewingMonitoringInfoboolean · nullableOptional

Enable or disable the "Allow viewing of RAS Monitoring" option.

allowViewingLicenseInfoboolean · nullableOptional

Enable or disable the "Allow viewing of License Information" option.

allowViewingSiteInfoboolean · nullableOptional

Enable or disable the "Allow viewing of Site Information" option.

allowViewingPolicyInfoboolean · nullableOptional

Enable or disable the "Allow viewing of Policy Information" option.

allowViewingCostInsightsboolean · nullableOptional

Enable or disable the "Allow viewing of Cost Insights" option.

allowSessionManagementboolean · nullableOptional

Enable or disable the "Allow Session Management" option.

allowDeviceManagementChangesboolean · nullableOptional

Enable or disable the "Allow Device Management changes" option.

allowPolicyChangesboolean · nullableOptional

Enable or disable the "Allow Policy changes" option.

allowAllSitesboolean · nullableOptional

Enable or disable the "All Sites" option. If enabled, the administrator can manage all sites in the farm. Otherwise, sites can be specified individually.

allowInSiteIdsinteger · int32[] · nullableOptional

A list of site ids (an integer array) which the administrator should be allowed to manage.

Responses
put
/api/AdminAccount/{adminId}/PowerPermission

No content

Last updated